Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613519 - [AR PL ShanHeiSun Uni] A glyph does not show properly.
[AR PL ShanHeiSun Uni] A glyph does not show properly.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: fonts-chinese (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Peng Wu
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 02:22 EDT by Chester Cheng
Modified: 2016-06-23 00:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 02:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
碌 is rendered incorrectly (81.43 KB, image/png)
2010-07-13 00:09 EDT, Chester Cheng
no flags Details

  None (edit)
Description Chester Cheng 2010-07-12 02:22:23 EDT
Description of problem:
AR PL ShanHeiSun Uni shows an incorrect traditional Chinese character

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL ShanHeiSun Uni"
2. The second character is incorrect, compare to the 4th character.
3. 
  
Actual results:
碌

Expected results:
The right part should have been the same as that of 祿.

Additional info:
AR PL ZenKai, however, shows the correct glyph.
Comment 1 Peng Wu 2010-07-12 23:06:38 EDT
I copied the above text into a text file, and find that '碌' and '祿' are different characters.
I think the rendering is correct, the two characters should be different.

Here are the command log:
$ cat test.txt 
碌祿
$ hexdump test.txt 
0000000 a2e7 e78c bfa5 000a                    
0000007

And try to render with ZenKai and ShanHeiSun, both results are that the two characters are different.
I think this is the right rendering.

Here are the rendering command:
$ pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL ZenKai Uni"
$ pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL ShanHeiSun Uni"

If you want it to be rendered the same, please changes the text above to use the same character.

If there are no other issue, I will close this bug soon.
Comment 2 Chester Cheng 2010-07-13 00:09:59 EDT
Created attachment 431345 [details]
碌 is rendered incorrectly
Comment 3 Chester Cheng 2010-07-13 00:12:29 EDT
Yes, they are different characters.

The point is, the "right hand side" of 碌 in incorrect.  It should be 彔, as showned in the character 祿.

Please also see my comment in line.

(In reply to comment #1)
> I copied the above text into a text file, and find that '碌' and '祿' are
> different characters.
> I think the rendering is correct, the two characters should be different.
> 
> Here are the command log:
> $ cat test.txt 
> 碌祿
> $ hexdump test.txt 
> 0000000 a2e7 e78c bfa5 000a                    
> 0000007
> 
> And try to render with ZenKai and ShanHeiSun, both results are that the two
> characters are different.
> I think this is the right rendering.
> 
> Here are the rendering command:
> $ pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL ZenKai Uni"

This command shows correct rendering.

> $ pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL ShanHeiSun Uni"

This command doesn't show correct rendering, as shown in the attachment above (https://bugzilla.redhat.com/attachment.cgi?id=431345).

> 
> If you want it to be rendered the same, please changes the text above to use
> the same character.
> 
> If there are no other issue, I will close this bug soon.
Comment 4 Peng Wu 2010-07-13 02:41:51 EDT
The new version of upstream font has already fixed the problem.
Check the new version on Fedora and RHEL6, it seems the bug has already been fixed.

In upstream they have already rename the fonts name:
      AR PL ShanHeiSun -> AR PL UMing
      AR PL ZenKai -> AR PL UKai

I tested using the following commands:
$pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL UKai TW"
$pango-view -t "忙碌、福祿壽" --header --waterfall --font="AR PL UMing TW"
It seems ok.

For more information, please see:
http://www.freedesktop.org/wiki/Software/CJKUnifonts/Download

Close bug as WONTFIX, as upstream fonts already fixed it in fedora and rhel6.
Thanks for the reporting.

Note You need to log in before you can comment on or make changes to this bug.